%{?nodejs_find_provides_and_requires}

%global packagename cookies
%global enable_tests 0
# tests disabled due to missing dependencies on the npm(restify) module

Name:		nodejs-cookies
Version:	0.7.1
Release:	1%{?dist}
Summary:	Cookies, optionally signed using Keygrip

License:	MIT
URL:		https://github.com/pillarjs/cookies
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(depd)
BuildRequires:	npm(keygrip)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(restify)
%endif


%description
Cookies, optionally signed using Keygrip.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 0.7.1-1
- Update to upstream nodejs-cookies

* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 0.5.1-1
- Initial packaging
